#version 150 

in  vec3 vPosition;
out vec4 color;

uniform vec3 vColor;

uniform mat4 model_view;
uniform mat4 projection;

void main() 
{
    gl_Position = projection * model_view * vec4(vPosition, 1.0);
    color = vec4(vColor, 1.0);
} 
